;- Haupt Initialisierung -------------------------------------------------------------------------------------
Sys_Init:			; PortB konfiguration
					ldi				r16,0b00100011
					out				PORTB,r16
					ldi				r16,0b00000100
					out				DDRB,r16
					
					; Timer 0 konfiguration
					ldi				r16,CVAR_Sys_TC0_CpA									; lade timer0 compare a wert
					out				OCR0A,r16
					ldi				r16,CVAR_Sys_TC0_CpB									; lade timer0 compare b wert
					out				OCR0B,r16

					ldi				r16,0b00000010											; aktiviere timer 0 im compare mode
					out				TCCR0A,r16
					ldi				r16,(0b00000000 | CVAR_Sys_TC0_Pre)						; mit vorteiler
					out				TCCR0B,r16
					
					; Timer Interrupt konfigurieren
					ldi				r16,0b00010000											; timer0 compare a interrupt
					out				TIMSK,r16

					; Initialisierung der Register
					clr				r0
					clr				r1
					clr				r2
					clr				r3
					clr				r4
					clr				r5
					clr				r6
					clr				r7
					clr				r8
					clr				r9
					clr				r10
					clr				r11
					clr				r12
					clr				r13
					clr				r14
					clr				r15

					clr				r16
					clr				r17
					clr				r18
					clr				r19
					clr				r20
					clr				r21
					clr				r22
					clr				r23
					clr				r24
					clr				r25
					clr				r26
					clr				r27
					clr				r28
					clr				r29
					clr				r30
					clr				r31
										
					ret

;---------------------------------------------------------------------------------------------------------------