;-verarbeitung der reset Anforderung-------------------------------------------------------
Sys_ResetHandling:			push		r16
							in			r16,SREG
							push		r16
							push		r30
							push		r31

							lds			r16,SRAM_CVAR_MAIN_STATEMEMORY								; lade statusbyte in r16
							sbic		PINB,3														; wenn reset eingang high
							ori			r16,0b00000001												; setze reset flag
							sbic		PINB,4														; wenn shutdown eingang high
							ori			r16,0b00000010												; setze shutdown flag
							sts			SRAM_CVAR_MAIN_STATEMEMORY,r16								; speichhere statusbyte

							sbrc		r16,1														; wenn shutdownbit gesetzt ist
							rjmp		Sys_ResetHandling_SDN										; springe
							sbrs		r16,0														; wenn reset flag nicht gesetzt ist
							rjmp		Sys_ResetHandling_END										; springe
							
							lds			r30,(SRAM_CVAR_MAIN_TICKCOUNTER + 0)						; lade tickcounter in z
							lds			r31,(SRAM_CVAR_MAIN_TICKCOUNTER + 1)						; "
							
							sbrs		r16,2														; wenn reset delay flag nicht gesetzt ist
							rjmp		Sys_ResetHandling_RST										; springe

							lds			r16,(SRAM_CVAR_MAIN_RESETTIMETTICKCOUNTER + 0)				; lade zieltickwert fr den reset
							cp			r30,r16														; vergleiche mit tickcounter
							lds			r16,(SRAM_CVAR_MAIN_RESETTIMETTICKCOUNTER + 1)				; "
							cpc			r31,r16														; "
							brne		Sys_ResetHandling_END										; wenn ungleich, springe

							lds			r16,SRAM_CVAR_MAIN_STATEMEMORY								; lade statusbyte in r16
							andi		r16,0b11111010												; lsche beide reset flags
							sts			SRAM_CVAR_MAIN_STATEMEMORY,r16								; speichhere statusbyte

Sys_ResetHandling_SON:		sbi			PORTB,2														; setze gatedriver high

							rjmp		Sys_ResetHandling_END										; springe

Sys_ResetHandling_RST:		ori			r16,0b00000100												; setze reset delay flag
							sts			SRAM_CVAR_MAIN_STATEMEMORY,r16								; speichhere statusbyte

							lds			r16,(SRAM_CVAR_MAIN_RESETTIMETICKVALUE + 0)					; addiere errechneten tickwert zum tickcounter
							add			r30,r16														; "
							lds			r16,(SRAM_CVAR_MAIN_RESETTIMETICKVALUE + 1)					; "
							adc			r31,r16														; "
							sts			(SRAM_CVAR_MAIN_RESETTIMETTICKCOUNTER + 0),r30				; speichere neuen zieltickwert
							sts			(SRAM_CVAR_MAIN_RESETTIMETTICKCOUNTER + 1),r31				; "

Sys_ResetHandling_SDN:		cbi			PORTB,2														; schalte gatedriver low
							
Sys_ResetHandling_END:		pop			r31
							pop			r30
							pop			r16
							out			SREG,r16
							pop			r16
							ret

;------------------------------------------------------------------------------------------