;-berechnung der reset zeit auf basis der jumper und der zeitbasis--------------------------------
Sys_ResetTimeCalc:			push			r0
							push			r1
							push			r16
							in				r16,SREG
							push			r16
							push			r17
							push			r30
							push			r31
							
							; einlesen und abspeichern der jumper
							in				r16,PINB													; lade portzustand b in r16
							ori				r16,0b11111100												; setze alle nicht relevanten bits
							neg				r16															; negiere bitmuster
							sts				SRAM_CVAR_MAIN_JUMPERPOSITION,r16							; speichere errechneten exponent im ram

							; errechnung des multiplikators
							ldi				r17,1														; lade 1 in r17

Sys_ResetTimeCalc_DI1:		cpi				r16,0														; wenn exponent null
							breq			Sys_ResetTimeCalc_SA1										; springe
					
							lsl				r17															; multipliziere r17 mit 4
							lsl				r17															; "
							dec				r16															; reduziere exponent

							rjmp			Sys_ResetTimeCalc_DI1										; springe

Sys_ResetTimeCalc_SA1:		sts				SRAM_CVAR_MAIN_MULTIPLIER,r17								; speichere errechneten multiplikator im ram
							
							; berechnung der wartezeit
							clr				r0															; lsche r0:r1
							clr				r1															; "
							ldi				r30,byte1(CVAR_Sys_ResetBaseTime)							; lade zeitbasis in z
							ldi				r31,byte2(CVAR_Sys_ResetBaseTime)							; "

Sys_ResetTimeCalc_DI2:		cpi				r17,0														; wenn multiplikator null
							breq			Sys_ResetTimeCalc_SA2										; springe

							add				r0,r30														; addiere faktor zum ergebnis
							adc				r1,r31														; "

							dec				r17															; reduziere multiplikator

							rjmp			Sys_ResetTimeCalc_DI2										; springe

Sys_ResetTimeCalc_SA2:		sts				(SRAM_CVAR_MAIN_RESETTIMETICKVALUE + 0),r0					; speichere ergebnis als tickwert im ram
							sts				(SRAM_CVAR_MAIN_RESETTIMETICKVALUE + 1),r1					; "

							pop				r31
							pop				r30
							pop				r17
							pop				r16
							out				SREG,r16
							pop				r16
							pop				r1
							pop				r0
							ret

;-------------------------------------------------------------------------------------------------