;####################################################################################################################################################
;### Definition von Steuervariablen und RAM Bereichen ###############################################################################################
;####################################################################################################################################################

;### Steuervariablen ###
.equ		CVAR_Sys_TC0_Pre=					2															; Timer0 Vorteiler 2 = 8 -> 125kHz
.equ		CVAR_Sys_TC0_CpA=					125															; Timer0 CompareA 125 -> 1kHz
.equ		CVAR_Sys_TC0_CpB=					0															; Timer0 CompareB 0 -> Reserved

.equ		CVAR_Sys_ResetBaseTime=				1000														; Zeitbasis fr ResetTimeCount in ms (max: 1000)

;### Ram Bereich Definition ###
.dseg
.org											SRAM_START

; Hauptsteuerbereich
SRAM_CVAR_MAIN_STATEMEMORY:						.byte		1												; Statusbyte:	b0: Reset Flag ,b1: Shutdown Flag,b2: reset delay flag,b3: ,
																											;				b4: ,b5: ,b6: ,b7:
SRAM_CVAR_MAIN_TICKCOUNTER:						.byte		2												; Tickcounter
SRAM_CVAR_MAIN_RESETTIMETTICKCOUNTER:			.byte		2												; speicher fr den aktuellen zieltickwert des resets
SRAM_CVAR_MAIN_JUMPERPOSITION:					.byte		1												; speicher fr die beim start erkannte Reset zeit jumper stellung
SRAM_CVAR_MAIN_MULTIPLIER:						.byte		1												; errechneter Multiplikator fr die Zeitbasis des Reset
SRAM_CVAR_MAIN_RESETTIMETICKVALUE:				.byte		2												; speicher fr den errechneten tickwert der resetzeit

SRAM_END:
.cseg